# Method: customers.reports.countChromeCrashEvents

- [HTTP request](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeCrashEvents#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeCrashEvents#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeCrashEvents#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeCrashEvents#body.request_body)
- [Response body](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeCrashEvents#body.response_body)
  - [JSON representation](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeCrashEvents#body.CountChromeCrashEventsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeCrashEvents#body.aspect)
- [CrashEventCount](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeCrashEvents#CrashEventCount)
  - [JSON representation](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeCrashEvents#CrashEventCount.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeCrashEvents#try-it)

Get a count of Chrome crash events.

### HTTP request

`GET https://chromemanagement.googleapis.com/v1/{customer=customers/*}/reports:countChromeCrashEvents`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customer` | `string` Customer ID. |

### Query parameters

| Parameters ||
|---|---|
| `orgUnitId` | `string` If specified, only count the number of crash events of the devices in this organizational unit. |
| `filter` | `string` Query string to filter results, AND-separated fields in EBNF syntax. Supported filter fields: \* major_browser_version \* minor_browser_version \* browserChannel \* device_platform \* past_number_days Example: `major_browser_version = 'M115' AND past_number_days = '28'`. |
| `orderBy` | `string` Field used to order results. Supported order by fields: - browserVersion - count - date |

### Request body

The request body must be empty.

### Response body

Response contains a list of CrashEventCountByVersionPerDay which count the chrome crash at the certain date.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "crashEventCounts": [ { object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeCrashEvents#CrashEventCount`) } ] } ``` |

| Fields ||
|---|---|
| `crashEventCounts[]` | ``object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeCrashEvents#CrashEventCount`)`` Crash event counts grouped by date and browser version. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/chrome.management.reports.readonly`

## CrashEventCount

The `count` of the Chrome crash events at the `date`.

| JSON representation |
|---|
| ``` { "date": { object (`https://developers.google.com/chrome/management/reference/rest/Shared.Types/Date`) }, "browserVersion": string, "count": string } ``` |

| Fields ||
|---|---|
| `date` | ``object (`https://developers.google.com/chrome/management/reference/rest/Shared.Types/Date`)`` Date of the crash event. |
| `browserVersion` | `string` Browser version this is counting. |
| `count` | `string (https://developers.google.com/discovery/v1/type-format format)` Total count of crash events. |